<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];

switch ($action){ 
	case 'doingoc':
        $vitri = $_GET['vitri'];    $vitri = abs(intval($vitri));
        $item_code = $_GET['item_code'];
        
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($vitri) || empty($item_code)){
			echo "<font size='4' color='red'>Chưa chọn item.</font>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $item_code)){
			echo "<font color='red'>Dữ liệu lỗi - Items code chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (strlen($item_code) != 32){
			echo "<font color='red'>Dữ liệu lỗi - Items code sai định dạng.</font><br>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $vitri)){
			echo "<font color='red'>Dữ liệu lỗi - Vị trí chỉ được sử dụng số 1-9.</font>";
		}
		else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'action'    =>  'doingoc',
                'vitri'    =>  $vitri,
                'item_code'   =>  $item_code,
                
				'pagesv'	=>	'sv_tiente_doingoc',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
            	if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
					$price = read_TagName($reponse, 'price', 1);
					$tiente = read_TagName($reponse, 'tiente', 1);
					if($tiente == 'gcoin'){
						$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin'] + $price;
					}
					if($tiente == 'wcoin'){
						$_SESSION['acc_wcoin'] = $_SESSION['acc_wcoin'] + $price;
					}
					echo "|OK|<span class=color-green>Bạn đã đổi item ra $tiente thành công, nhận $price $tiente.</span>|";
					
				} else echo "<font color='red'><b>$reponse</b></font>";
            }
        }
	break;
	case 'muangoc':
        $vitri = $_GET['vitri'];    $vitri = abs(intval($vitri));
        $item_code = $_GET['item_code'];
        
		if(strlen($item_code) != 32) {
            echo '<font color="red"><b>Item Code sai</b></font>';
		} else if(!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
            echo "<font color='red'><b>Mật khẩu Web chỉ được bao gồm a-z, A-Z, 0-9</b></font>";
        } else {
            $getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'action'    =>  'muangoc',
                'vitri'    =>  $vitri,
                'item_code'   =>  $item_code,
                
				'pagesv'	=>	'sv_tiente_doingoc',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
            	if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
					$price = read_TagName($reponse, 'price', 1);
					$tiente = read_TagName($reponse, 'tiente', 1);
					if($tiente == 'gcoin'){
						$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin'] - $price;
					}
					if($tiente == 'wcoin'){
						$_SESSION['acc_wcoin'] = $_SESSION['acc_wcoin'] - $price;
					}
					echo "|OK|<span class=color-green>Bạn đã mua ngoc thành công, tiêu tốn $price $tiente.</span>|";
					
				} else echo "<font color='red'><b>$reponse</b></font>";
            }
        }
	break;
}



?>